Package org.apache.sling.resourceresolver.impl.helper

# Class AbstractIterator<T>

java.lang.Object
org.apache.sling.resourceresolver.impl.helper.AbstractIterator<T>

All Implemented Interfaces:
  `Iterator<T>`

Direct Known Subclasses:
  `ChainedIterator`, `UniqueResourceIterator`

public abstract class AbstractIterator<T> extends Object implements Iterator<T>
Abstract base class for an iterator

## Constructor Summary

Constructors
Constructor
Description
`AbstractIterator()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`T`
`next()`
`void`
`remove()`
`protected abstract T`
`seek()`
Abstract method to be overriden by subclasses

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### AbstractIterator

public AbstractIterator()

## Method Details

### seek

protected abstract T seek()
Abstract method to be overriden by subclasses

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

### next

public T next()

Specified by:
  `next` in interface `Iterator<T>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<T>`